package com.ruoyi.web.controller.api;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.framework.web.service.SysLoginService;
import com.ruoyi.ss.access.domain.AccessVO;
import com.ruoyi.ss.access.service.AccessService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 第三方认证接口
 * @author wjh
 * 2024/7/17
 */
@RestController
@RequestMapping("/openapi/v1/access")
public class ApiAccessController extends BaseController {

    @Autowired
    private AccessService accessService;

    @ApiOperation("申请accessKey")
    @PostMapping
    public AjaxResult apply() {
        return success(accessService.apply(getUserId()));
    }

    @ApiOperation("重置accessSecret")
    @PutMapping("/{accessId}/reset")
    public AjaxResult reset(@PathVariable Long accessId) {
        AccessVO access = accessService.selectAccessByAccessId(accessId);
        return success(accessService.reset(accessId));
    }

}
